export default [
  {
    id: 1,
    name: '机械加速澄清池',
    base: [
      {
        name: '处理水量',
        unit: '万m3/d',
        max: 20,
        // TODO: 根据接口或者随机生成
        value: 19,
      },
      {
        name: '进水CODMn',
        unit: 'mg/L',
        max: 20,
        value: 18,
      },
      {
        name: '进水浊度',
        unit: 'NTU',
        max: 20,
        value: 19,
      },
    ],
    control: [
      {
        name: 'FeCl3投加量',
        unit: '吨/日',
        max: 4,
        value: 4,
      },
      {
        name: '排泥量',
        unit: 'm3/d',
        max: 6000,
        value: 5800,
      },
    ],
    out: [
      {
        name: '产水CODMn',
        unit: 'mg/L',
        min: 5,
        max: 10,
        // TODO: 自动生成
        realValue: 8,
        mockValue: 8.1,
      },
      {
        name: '产水浊度',
        unit: 'NTU',
        min: 0.6,
        max: 1,
        realValue: 0.7,
        mockValue: 0.76,
      },
    ],
  },
  {
    id: 2,
    name: '主臭氧接触池',
    base: [
      {
        name: '处理水量',
        unit: '万m3/d',
      },
      {
        name: '进水CODMn',
        unit: 'mg/L',
      },
      {
        name: '进水浊度',
        unit: 'NTU',
      },
    ],
    control: [
      {
        name: 'O3投加量',
        unit: 'kg/d',
      },
      {
        name: '水中O3浓度',
        unit: 'mg/L',
      },
      {
        name: '尾气O3浓度',
        unit: 'mg/L',
      },
    ],
    out: [
      {
        name: '产水CODMn',
        unit: 'mg/L',
        min: 5,
        max: 10,
      },
      {
        name: '产水浊度',
        unit: 'NTU',
        min: 0.6,
        max: 1,
      },
    ],
  },
  {
    id: 3,
    name: '炭砂滤池',
    base: [
      {
        name: '处理水量',
        unit: '万m3/d',
      },
      {
        name: '进水CODMn',
        unit: 'mg/L',
      },
      {
        name: '进水浊度',
        unit: 'NTU',
      },
    ],
    control: [
      {
        name: '过滤周期',
        unit: 'h',
      },
      {
        name: '反冲洗排水量',
        unit: 'm3/d',
      },
    ],
    out: [
      {
        name: '产水CODMn',
        unit: 'mg/L',
        min: 2,
        max: 5,
      },
      {
        name: '产水浊度',
        unit: 'NTU',
        min: 0.2,
        max: 0.5,
      },
    ],
  },
  {
    id: 4,
    name: '泥线机加池',
    base: [
      {
        name: '处理水量',
        unit: '万m3./h',
      },
    ],
    control: [
      {
        name: 'PAC投加量',
        unit: 'kg/d',
      },
      {
        name: 'FeCl3投加量',
        unit: 'kg/日',
      },
    ],
    out: [
      {
        name: '排泥浓度',
        unit: 'g/L',
        min: 20,
        max: 26,
      },
      {
        name: '上清液浊度',
        unit: 'NTU',
        min: 20,
        max: 30,
      },
    ],
  },
  {
    id: 5,
    name: '排泥水处理车间',
    base: [
      {
        name: '处理水量',
        unit: '万m3./h',
      },
    ],
    control: [],
    out: [
      {
        name: '排泥浓度',
        unit: 'g/L',
        min: 15,
        max: 20,
      },
      {
        name: '排泥量',
        unit: 'm3/h',
        min: 10,
        max: 15,
      },
    ],
  },
  {
    id: 6,
    name: '主加氯间',
    base: [
      {
        name: '',
        unit: '',
      },
    ],
    control: [
      {
        name: '',
        unit: '',
      },
    ],
    out: [
      {
        name: '',
        unit: '',
        min: 5,
        max: 10,
      },
    ],
  },
  {
    id: 7,
    name: '脱水机房',
    base: [
      {
        name: '',
        unit: '',
      },
    ],
    control: [
      {
        name: '',
        unit: '',
      },
    ],
    out: [
      {
        name: '',
        unit: '',
        min: 5,
        max: 10,
      },
    ],
  },
  {
    id: 8,
    name: '超滤膜',
    base: [
      {
        name: '处理水量',
        unit: '万m3/d',
        max: 20,
        value: 19,
      },
      {
        name: '进水浊度',
        unit: 'NTU',
        max: 0.5,
        value: 0.45,
      },
      {
        name: '水温',
        unit: '°C',
        max: 20,
        value: 18,
      },
    ],
    control: [
      {
        name: '进水压力',
        unit: 'Mpa',
        max: 0.35,
        value: 0.34,
      },
      {
        name: 'TMP',
        unit: 'Mpa',
        max: 0.05,
        value: 0.04,
      },
    ],
    out: [
      {
        name: '产水量',
        unit: '万m3/d',
        min: 1.5,
        max: 3,
        // TODO: 自动生成
        realValue: 1.69,
        mockValue: 0,
      },
      {
        name: '产水浊度',
        unit: 'NTU',
        min: 0.05,
        max: 0.25,
        realValue: 0.2,
        mockValue: 0.2,
      },
    ],
  },
];
